###################################################
### chunk number 1: 
###################################################
#line 114 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"

library(RSEIS)
library(RPMG)
library(Rwave)
options(continue = " ")



###################################################
### chunk number 2: 
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
data(KH)
names(KH)



###################################################
### chunk number 3: 
###################################################
#line 139 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"

pdark=c("tomato3","royalblue","forestgreen","blueviolet","tan3",
"lightseagreen","deeppink","cyan3",
"bisque3","magenta1","lightsalmon3","darkcyan", "gold4" ,      
"darkorange1", "goldenrod4" , "seagreen3" ,  "lightpink3")

palette(pdark )




###################################################
### chunk number 4: 
###################################################
#line 151 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"


STDLAB = c("DONE",  "zoom in", "zoom out", "refresh", "restore",
 "XTR", "SPEC", "SGRAM" ,"WLET", "FILT",  "Pinfo")


swig(KH, SHOWONLY=FALSE, WIN = c(90, 200) , STDLAB=STDLAB)



###################################################
### chunk number 5: 
###################################################
#line 261 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"

data(GH)
numstas = length(GH$STNS)




###################################################
### chunk number 6: 
###################################################
#line 277 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"


verts = which(GH$COMPS == "V")

STDLAB = c("DONE", "QUIT",  "NEXT","PREV",  "zoom in", "zoom out", "refresh", "restore", "SavePF", 
"PickWin", "XTR", "SPEC", "SGRAM" ,"WLET", "FILT", "Pinfo", "WINFO", "PTS", "YPIX", "WPIX")


swig(GH,  sel=verts[c(1,2,3,4,6) ] ,STDLAB =STDLAB, WIN=c(4,15),  SHOWONLY=TRUE)




###################################################
### chunk number 7: 
###################################################
#line 295 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"

vertord = getvertsorder(GH$pickfile, GH)

swig(GH,  sel=vertord$sel[1:5] ,      STDLAB =STDLAB,  WIN=c(4, 15), SHOWONLY=FALSE)



###################################################
### chunk number 8: 
###################################################
#line 316 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
names(GH$pickfile)


###################################################
### chunk number 9: 
###################################################
#line 321 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
names(GH$pickfile$STAS)


###################################################
### chunk number 10: 
###################################################
#line 331 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
data.frame(cbind(name=GH$pickfile$STAS$name, comp=GH$pickfile$STAS$comp, phase=GH$pickfile$STAS$phase, time=GH$pickfile$STAS$sec, lat=GH$pickfile$STAS$lat, lon=GH$pickfile$STAS$lon))


###################################################
### chunk number 11: 
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
names(GH$pickfile$LOC)


###################################################
### chunk number 12: 
###################################################
#line 343 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"

apx = uwpfile2ypx(GH$pickfile)
swig(GH,  sel=vertord$sel[1:5] , APIX=apx, STDLAB =STDLAB,  WIN=c(4, 15), SHOWONLY=FALSE, velfile=VELMOD1D, )




###################################################
### chunk number 13: 
###################################################
#line 355 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
PICK.DOC('WLET')



###################################################
### chunk number 14: 
###################################################
#line 361 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
PICK.DOC()



###################################################
### chunk number 15: 
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
data(sunspots)

AA = attributes(sunspots)
starttime=list(yr=AA$tsp[1], jd=1,mo=1,dom=1,hr=0,mi=0,sec=0)
ES = prep1wig(wig=sunspots, dt=1/12, sta="STA", comp="CMP", units="UNITS", starttime=starttime    )

EH=prepSEIS(ES)

STDLAB = c("DONE",  "zoom in", "zoom out", "refresh", "restore",
 "XTR", "SPEC", "SGRAM" ,"WLET", "FILT",  "Pinfo")

xx =  swig( EH, STDLAB = STDLAB,  SHOWONLY=TRUE)



###################################################
### chunk number 16: 
###################################################
#line 390 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
a = list(y=EH$JSTR[[1]], dt=EH$dt[1])
 Mspec = mtapspec(a$y, a$dt, klen =1024 , MTP = list(kind = 1,
        nwin = 5, npi = 3, inorm = 0))
    f = Mspec$freq
    amp = Mspec$spec[1:length(f)]
    ma = amp
displ = ma
f1 = 0.01
f2 = 1/(2*EH$dt[1])

    flag = f >= f1 & f <= f2
plxy = "xy"

 plot(range(f[flag]),range(displ[flag]),type='n',log=plxy,axes=FALSE, xlab="Hz", ylab="Spec")
      lines(f[flag], displ[flag], col=1, lty=1)       
      axis(2, las=2)
      axis(1)
      box()
  ##     L = locator()
 ## DUMPLOC(L)
  
L=list()
L$x=c(0.0939105803154482,0.183351679178275,0.350333785192083)
L$y=c(31166.8951116052,7536.36156151748,2370.29538151056)

abline(v=L$x, lty=2, col=grey(0.8) )
text(L$x, rep(max(range(displ[flag])), length(L$x)),  labels=round((1/L$x)), xpd=TRUE, srt=45, adj=c(0,0) )





###################################################
### chunk number 17: 
###################################################
#line 434 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
data(OH)
xx =  swig( OH, sel=which(OH$COMPS == "V"), STDLAB = STDLAB,  SHOWONLY=TRUE)



###################################################
### chunk number 18: 
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
a = list(y=OH$JSTR[[1]], dt=OH$dt[1])
 Mspec = mtapspec(a$y, a$dt, klen =1024 , MTP = list(kind = 1,
        nwin = 5, npi = 3, inorm = 0))
    f = Mspec$freq
    amp = Mspec$spec[1:length(f)]
    ma = amp
displ = ma
f1 = 0.01
f2 = 1/(2*EH$dt[1])

    flag = f >= f1 & f <= f2
plxy = "xy"

 plot(range(f[flag]),range(displ[flag]),type='n',log=plxy,axes=FALSE, xlab="Hz", ylab="Spec")
      lines(f[flag], displ[flag], col=1, lty=1)       
      axis(2, las=2)
      axis(1)
      box()
      
##   L = locator()
##   DUMPLOC(L)

u = par("usr")
L=list()
L$x=c(0.242745864538716,0.423063797271721,0.447439169221329,0.529320129815409,0.100457805181183)
L$y=c(37.4392793655756,19.0231348719557,15.6564640841027,15.0862607475168,40.6986171075992)

abline(v=L$x, lty=2, col=grey(0.8) )
text(L$x, rep(max(range(displ[flag])), length(L$x)),  labels=round(10000*(1/L$x)), xpd=TRUE, srt=45, adj=c(0,0) )






###################################################
### chunk number 19: 
###################################################
#line 482 "d:/Rcompile/CRANpkg/local/2.12/RSEIS/inst/doc/rseis.Rnw"
 data(KH)
     dt = KH$dt[1]


     y =  KH$JSTR[[1]]
     y = y[1:50000]
y = y-mean(y)
     x =  seq(from=0, by=dt, length=length(y))




     fl=rep(1/100, 5)
     fh=1/c(4,3,2,1, .5)

     FILT.spread(x, y, dt, fl = fl, fh = fh, sfact = 1, WIN = NULL, PLOT = TRUE, TIT = NULL, TAPER = 0.05, POSTTAPER = 0.1)




